Bug 1724064 - [RFE] Show Console output for a instance created using GCE
Summary: [RFE] Show Console output for a instance created using GCE
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - GCE
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 6.6.0
Assignee: Kavita
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks: 1707769
TreeView+ depends on / blocked
 
Reported: 2019-06-26 07:59 UTC by Kavita
Modified: 2019-10-22 12:47 UTC (History)
3 users (show)

Fixed In Version: foreman-1.22.0.4-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 12:47:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 26787 Normal Closed Show Console output for a instance created using GCE 2019-12-19 15:41:02 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:47:49 UTC

Description Kavita 2019-06-26 07:59:35 UTC
Like EC2, foreman should display serial console from GCE for instances created using Google CR.

Comment 1 Kavita 2019-06-26 07:59:39 UTC
Created from redmine issue https://projects.theforeman.org/issues/26787

Comment 2 Kavita 2019-06-26 07:59:43 UTC
Upstream bug assigned to kgaikwad@redhat.com

Comment 4 Bryan Kearney 2019-06-26 10:07:42 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26787 has been resolved.

Comment 6 Jitendra Yejare 2019-07-09 08:50:24 UTC
Verified!

@ Satellite 6.5.0 snap 10


Scenario 1:
========================

Steps:
---------------
1. Create and integrate GCE Compute resource.


Observation:
----------------
1. The console output is shown for provisioned VM under CR -> VMs -> VM -> Console, which is similar to the serial console logs in GCE VM.


Scenario 2:
========================

Steps:
----------------
1. Provision a VM from Satellite to GCE


Observation:
----------------
1. The console output is shown for provisioned host under Hosts -> Host -> Console, which is similar to the serial console logs in GCE VM.



Scenario 3:
========================


Steps:
----------------
1. Disassociate provisioned VM from host profile.


Observation:
----------------
1. The console output is shown for disassociated VM under CR -> VMs -> VM -> Console, which is similar to the serial console logs in GCE VM.




Scenario 4:
========================

Steps:
-----------------
1. Import GCE VM as unmanaged host.


Observation:
------------------
1. The console output is shown for import as unmanaged host under Hosts -> Host -> Console, which is similar to the serial console logs in GCE VM.




Scenario 5:
========================

Steps:
------------
1. Create a VM in GCE.
2. Wait for VM to be listed under CR -> VMs as not assiciated or managed.


Observation:
--------------
1. The console output is shown for not managed and not associated new VM created directly in GCE, under CR -> VMs -> VM -> Console, which is similar to the serial console logs in GCE VM.



General Observation:
========================
Live console logs for any VM are not shown, revisiting page shows the new logs in console. (Expected)

Comment 8 errata-xmlrpc 2019-10-22 12:47:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.